%define anolis_release 3
%bcond_without check

Name:                   libconfig
Summary:                C/C++ configuration file library
Version:                1.7.3
Release:                %{anolis_release}%{?dist}
License:                LGPLv2+
URL:                    http://www.hyperrealm.com/libconfig/
Source0:                https://hyperrealm.github.io/%name/dist/%name-%version.tar.gz

BuildRequires:          gcc, gcc-c++
BuildRequires:          texinfo
BuildRequires:          bison, flex
BuildRequires:          make

%description
Libconfig is a simple library for manipulating structured configuration
files. This file format is more compact and more readable than XML. And
unlike XML, it is type-aware, so it is not necessary to do string parsing
in application code.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:                Development files for libconfig
Requires:               %{name} = %{version}-%{release}

%description devel
Development libraries and headers for developing software against
libconfig.


%prep
%autosetup -n %{name}-%{version} -p1
iconv -f iso-8859-1 -t utf-8 -o AUTHORS{.utf8,}
mv AUTHORS{.utf8,}


%build
%configure \
  --disable-silent-rules \
  --disable-static

make %{?_smp_mflags}


%install
%make_install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%generate_compatibility_deps

%if %{with check}
%check
make check
%endif

%files
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/libconfig*.so.11*
%{abidir}/libconfig*.dump

%files doc
%doc AUTHORS ChangeLog README

%files devel
%{_includedir}/libconfig*
%{_libdir}/cmake/%{name}
%{_libdir}/cmake/%{name}++
%{_libdir}/libconfig*.so
%{_libdir}/pkgconfig/libconfig*.pc
%{_infodir}/libconfig.info*


%changelog
* Mon Jan 30 2023 chen_yu_ao <m15927509890@163.com> - 1.7.3-3
- use autosetup instead of setup, optimise format

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.3-2
- optimise spec file & add doc package

* Thu Apr 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.3-1
- Init from upstream version 1.7.3

